MWAWFontSJISConverter Class Reference documentation

Public Member Functions | Protected Attributes | List of all members
MWAWFontSJISConverter Class Reference

a namespace used to convert Mac SJIS font characters in unicode More...

`#include <MWAWFontSJISConverter.hxx>`

## Public Member Functions
| MWAWFontSJISConverter ()
| the constructor More...
| ~MWAWFontSJISConverter ()
| the destructor More...
int | unicode (unsigned char c, MWAWInputStreamPtr &input)
| try to return a unicode for a shift jis character ( returns -1 if the character can not be converted ) More...
int | unicode (unsigned char c, unsigned char const *(&str), int len)
| try to return a unicode for a shift jis character ( returns -1 if the character can not be converted ) More...
void | initMap ()
| init the mapping More...

## Protected Attributes
std::map< int, int > | m_sjisUnicodeMap
| a map sjis->unicode More...

## Detailed Description

a namespace used to convert Mac SJIS font characters in unicode

## Constructor & Destructor Documentation

## ◆ MWAWFontSJISConverter()

MWAWFontSJISConverter::MWAWFontSJISConverter | ( |  | ) |

the constructor

## ◆ ~MWAWFontSJISConverter()

MWAWFontSJISConverter::~MWAWFontSJISConverter | ( |  | ) |

the destructor

## Member Function Documentation

## ◆ initMap()

void MWAWFontSJISConverter::initMap | ( |  | ) |

init the mapping

Referenced by MWAWFontSJISConverter().

## ◆ unicode() [1/2]

int MWAWFontSJISConverter::unicode | ( | unsigned char | c,
|  | MWAWInputStreamPtr & | input
| ) |  |

try to return a unicode for a shift jis character ( returns -1 if the character can not be converted )

## ◆ unicode() [2/2]

int MWAWFontSJISConverter::unicode | ( | unsigned char | c,
|  | unsigned char const *& | str,
|  | int | len
| ) |  |

try to return a unicode for a shift jis character ( returns -1 if the character can not be converted )

## Member Data Documentation

## ◆ m_sjisUnicodeMap

std::map<int,int> MWAWFontSJISConverter::m_sjisUnicodeMap
| protected

a map sjis->unicode

Referenced by initMap(), and unicode().

The documentation for this class was generated from the following files:

- MWAWFontSJISConverter.hxx
- MWAWFontSJISConverter.cxx